ctakes-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Zbarcea (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CTAKES-458) Update Jenkins Continuous Integration jobs to use Maven 3.5.0
Date Sun, 19 Nov 2017 16:33:00 GMT

    [ https://issues.apache.org/jira/browse/CTAKES-458?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16258526#comment-16258526
] 

Alex Zbarcea commented on CTAKES-458:
-------------------------------------

only issue still pending before making {{cTAKES-trunk-Java-1.8}} as default job is:

{code}
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-antrun-plugin:1.6:run (generate-test-config)
on project ctakes-ytex: An Ant BuildException has occured: The following error occurred while
executing this line:
[ERROR] /home/jenkins/jenkins-slave/workspace/cTAKES-trunk-Java-1.8/ctakes-ytex/scripts/build-setup.xml:149:
The following error occurred while executing this line:
[ERROR] /home/jenkins/jenkins-slave/workspace/cTAKES-trunk-Java-1.8/ctakes-ytex/scripts/data/build.xml:124:
java.sql.SQLException: Database lock acquisition failure: lockFile: org.hsqldb.persist.LockFile@72d2ec59[file
=/tmp/ctakes-test-hsqldb/ctakes/ctakes.lck, exists=false, locked=false, valid=false, ] method:
openRAF reason: java.io.FileNotFoundException: /tmp/ctakes-test-hsqldb/ctakes/ctakes.lck (Permission
denied)
{code}

(see on [Jenkins|https://builds.apache.org] the [full stack|https://builds.apache.org/view/C/view/Apache%20cTAKES/job/cTAKES-trunk-Java-1.8/40/console])

> Update Jenkins Continuous Integration jobs to use Maven 3.5.0
> -------------------------------------------------------------
>
>                 Key: CTAKES-458
>                 URL: https://issues.apache.org/jira/browse/CTAKES-458
>             Project: cTAKES
>          Issue Type: Improvement
>    Affects Versions: 4.0.0
>            Reporter: Alex Zbarcea
>            Priority: Minor
>
> Current Jenkins Jobs use Apache Maven {{3.0.5}}. Latest supported {{mvn}} on https://builds.apache.org
is {{3.5.0}}. 
> There are many versions in between, as such:
> * 3.1.x
> * 3.2.x
> * *3.3.x*
> * 3.4
> * 3.5
> Upgrading to latest {{mvn}} may have consequences related to
> * plugins being deprecated
> * properties being deprecated
> * more security enforcements
> * etc
> Also the Job should be:
> * Changes should be integrated with [jira:CTAKES|http://issues.apache.org/jira/browse/CTAKES]



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message